Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.util
Interface NameFactory

    @Extension
    public interface NameFactory

Factory for generic names and international strings.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `createInternationalString(Map<Locale,String> strings)` Creates an international string from a set of strings in different locales.
`LocalName` | `createLocalName(GenericName scope, String name, InternationalString localizedName)` Creates a local name from a scope and a name.
`ScopedName` | `createScopedName(GenericName scope, String name, InternationalString localizedName)` Creates a scoped name from a scope and a name.

Method Detail

### createInternationalString

    InternationalString createInternationalString(Map<Locale,String> strings)

  Creates an international string from a set of strings in different locales.

  Parameters:
    `strings` - String value for each locale key.

### createLocalName

    LocalName createLocalName(GenericName scope,
                              String name,
                              InternationalString localizedName)

  Creates a local name from a scope and a name. The scope argument identifies the name space in which the local name will be created. The `name` argument is taken verbatism as the string representation of the local name.

  Parameters:
    `scope` - The scope, or `null` for the global one.
    `name` - The unlocalized name.
    `localizedName` - A localized version of the name, or `null` if none.

### createScopedName

    ScopedName createScopedName(GenericName scope,
                                String name,
                                InternationalString localizedName)

  Creates a scoped name from a scope and a name. The scope argument identifies the name space in which the local name will be created. The `name` argument will be parsed in order to construct the list of parsed names.

  Parameters:
    `scope` - The scope, or `null` for the global one.
    `name` - The unlocalized name.
    `localizedName` - A localized version of the name, or `null` if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.